package cn.iocoder.yudao.module.system.api.deviceInfo;

import cn.iocoder.yudao.module.system.api.deviceInfo.dto.DeviceInfoDto;

import java.util.List;

/**
 * @Author:qjq 设备信息api
 * @Date:2024/4/12 下午3:53
 */
public interface DeviceInfoApi {
    List<DeviceInfoDto> getDeviceInfoList(Long carteenId);
    /**
     * @Description: 根据设备ip获取设备名称
     * @Author: qjq
     * @Date: 2024/4/16 下午5:26
     * @return
     */
    String getDeviceInfoName(String deviceIp);

    DeviceInfoDto getDevice(String deviceIp);

    List<DeviceInfoDto> getDevice();

    Long getCarteen(String mac);
}
